Module org.xerial.sqlitejdbc
Package org.sqlite

## Class ExtendedCommand.BackupCommand

- java.lang.Object
- - org.sqlite.ExtendedCommand.BackupCommand

All Implemented Interfaces:
  `ExtendedCommand.SQLExtension`

Enclosing class:
  ExtendedCommand

    public static class ExtendedCommand.BackupCommand
    extends Object
    implements ExtendedCommand.SQLExtension

### Field Summary

Fields
`String` `destFile`
`String` `srcDB`

### Constructor Summary

Constructors
`BackupCommand​(String srcDB, String destFile)` Constructs a BackupCommand instance that backup the database to a target file.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`void` `execute​(DB db)`
`static ExtendedCommand.BackupCommand` `parse​(String sql)` Parses SQLite database backup command and creates a BackupCommand object.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### srcDB

    public final String srcDB

#### destFile

    public final String destFile

### Constructor Detail

#### BackupCommand

    public BackupCommand​(String srcDB,
                         String destFile)

Constructs a BackupCommand instance that backup the database to a target file.

Parameters:
  `srcDB` - Source database name.
  `destFile` - Target file name.

### Method Detail

#### parse

    public static ExtendedCommand.BackupCommand parse​(String sql)
                                               throws SQLException

Parses SQLite database backup command and creates a BackupCommand object.

Parameters:
  `sql` - SQLite database backup command.
Returns:
  BackupCommand object.
Throws:
  `SQLException`

#### execute

    public void execute​(DB db)
                 throws SQLException

Specified by:
  `execute` in interface `ExtendedCommand.SQLExtension`
Throws:
  `SQLException`